org.apache.xerces.impl.dv.xs

## Class BaseSchemaDVFactory

- java.lang.Object
- - org.apache.xerces.impl.dv.SchemaDVFactory
  - - org.apache.xerces.impl.dv.xs.BaseSchemaDVFactory

Direct Known Subclasses:
  ExtendedSchemaDVFactoryImpl, SchemaDVFactoryImpl

    public abstract class BaseSchemaDVFactory
    extends SchemaDVFactory

the base factory to create/return built-in schema DVs and create user-defined DVs

Version:
  $Id: BaseSchemaDVFactory.java 805582 2009-08-18 21:13:20Z sandygao $
Author:
  Neeraj Bajaj, Sun Microsystems, inc., Sandy Gao, IBM, Khaled Noaman, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

Fields
`protected XSDeclarationPool` `fDeclPool`

### Constructor Summary

Constructors
Constructor and Description
`BaseSchemaDVFactory()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static void` `createBuiltInTypes(SymbolHash builtInTypes, XSSimpleTypeDecl baseAtomicType)`
`XSSimpleType` `createTypeList(java.lang.String name, java.lang.String targetNamespace, short finalSet, XSSimpleType itemType, org.apache.xerces.xs.XSObjectList annotations)` Create a new simple type which is derived by list from another simple type.
`XSSimpleType` `createTypeRestriction(java.lang.String name, java.lang.String targetNamespace, short finalSet, XSSimpleType base, org.apache.xerces.xs.XSObjectList annotations)` Create a new simple type which is derived by restriction from another simple type.
`XSSimpleType` `createTypeUnion(java.lang.String name, java.lang.String targetNamespace, short finalSet, XSSimpleType[] memberTypes, org.apache.xerces.xs.XSObjectList annotations)` Create a new simple type which is derived by union from a list of other simple types.
`XSSimpleTypeDecl` `newXSSimpleTypeDecl()` Implementation internal
`void` `setDeclPool(XSDeclarationPool declPool)`

### Methods inherited from class org.apache.xerces.impl.dv.SchemaDVFactory

`getBuiltInType, getBuiltInTypes, getInstance, getInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fDeclPool

    protected XSDeclarationPool fDeclPool

### Constructor Detail

#### BaseSchemaDVFactory

    public BaseSchemaDVFactory()

### Method Detail

#### createBuiltInTypes

    protected static void createBuiltInTypes(SymbolHash builtInTypes,
                                             XSSimpleTypeDecl baseAtomicType)

#### createTypeRestriction

    public XSSimpleType createTypeRestriction(java.lang.String name,
                                              java.lang.String targetNamespace,
                                              short finalSet,
                                              XSSimpleType base,
                                              org.apache.xerces.xs.XSObjectList annotations)

Create a new simple type which is derived by restriction from another simple type.

Specified by:
  `createTypeRestriction` in class `SchemaDVFactory`
Parameters:
  `name` - name of the new type, could be null
  `targetNamespace` - target namespace of the new type, could be null
  `finalSet` - value of "final"
  `base` - base type of the new type
  `annotations` - set of annotations
Returns:
  the newly created simple type

#### createTypeList

    public XSSimpleType createTypeList(java.lang.String name,
                                       java.lang.String targetNamespace,
                                       short finalSet,
                                       XSSimpleType itemType,
                                       org.apache.xerces.xs.XSObjectList annotations)

Create a new simple type which is derived by list from another simple type.

Specified by:
  `createTypeList` in class `SchemaDVFactory`
Parameters:
  `name` - name of the new type, could be null
  `targetNamespace` - target namespace of the new type, could be null
  `finalSet` - value of "final"
  `itemType` - item type of the list type
  `annotations` - set of annotations
Returns:
  the newly created simple type

#### createTypeUnion

    public XSSimpleType createTypeUnion(java.lang.String name,
                                        java.lang.String targetNamespace,
                                        short finalSet,
                                        XSSimpleType[] memberTypes,
                                        org.apache.xerces.xs.XSObjectList annotations)

Create a new simple type which is derived by union from a list of other simple types.

Specified by:
  `createTypeUnion` in class `SchemaDVFactory`
Parameters:
  `name` - name of the new type, could be null
  `targetNamespace` - target namespace of the new type, could be null
  `finalSet` - value of "final"
  `memberTypes` - member types of the union type
  `annotations` - set of annotations
Returns:
  the newly created simple type

#### setDeclPool

    public void setDeclPool(XSDeclarationPool declPool)

#### newXSSimpleTypeDecl

    public XSSimpleTypeDecl newXSSimpleTypeDecl()

Implementation internal